Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.kernel
Enum CommonBranchOrdering

    java.lang.Object
      java.lang.Enum<CommonBranchOrdering>
          org.neo4j.kernel.CommonBranchOrdering

All Implemented Interfaces:
  Serializable, Comparable<CommonBranchOrdering>, BranchOrderingPolicy

    public enum CommonBranchOrdering

extends Enum<CommonBranchOrdering>
implements BranchOrderingPolicy

Enum Constant Summary
`POSTORDER_BREADTH_FIRST`
`POSTORDER_DEPTH_FIRST`
`PREORDER_BREADTH_FIRST`
`PREORDER_DEPTH_FIRST`

Method Summary
`static CommonBranchOrdering` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CommonBranchOrdering[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.neo4j.graphdb.traversal.BranchOrderingPolicy
`create`

Enum Constant Detail

### PREORDER_DEPTH_FIRST

    public static final CommonBranchOrdering PREORDER_DEPTH_FIRST

### POSTORDER_DEPTH_FIRST

    public static final CommonBranchOrdering POSTORDER_DEPTH_FIRST

### PREORDER_BREADTH_FIRST

    public static final CommonBranchOrdering PREORDER_BREADTH_FIRST

### POSTORDER_BREADTH_FIRST

    public static final CommonBranchOrdering POSTORDER_BREADTH_FIRST

Method Detail

### values

    public static CommonBranchOrdering[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CommonBranchOrdering c : CommonBranchOrdering.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CommonBranchOrdering valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.